Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions
tlp::QGlBufferManager Class Reference

Class to manage QGlPixelBuffer and QGlFramebufferObject Singleton class to manager QGlPixelBuffer and QGlFramebufferObject. More...

`#include <QGlBufferManager.h>`

Collaboration diagram for tlp::QGlBufferManager:
[legend]

List of all members.

## Public Member Functions

- bool canUsePixelBuffer ()
- bool canUseFramebufferObject ()
- QGLPixelBuffer * getPixelBuffer (int width, int height)
- QGLFramebufferObject * getFramebufferObject (int width, int height)

## Static Public Member Functions

- static void createInst ()
- static QGlBufferManager & getInst ()

## Detailed Description

Class to manage QGlPixelBuffer and QGlFramebufferObject Singleton class to manager QGlPixelBuffer and QGlFramebufferObject.

## Member Function Documentation

bool tlp::QGlBufferManager::canUseFramebufferObject | ( |  | ) | `[inline]`

Return if QGlFramebufferObject can be used

bool tlp::QGlBufferManager::canUsePixelBuffer | ( |  | ) | `[inline]`

Return if QGlPixelBuffer can be used

static void tlp::QGlBufferManager::createInst | ( |  | ) | `[static]`

Create the QGlBuffer manager singleton

QGLFramebufferObject* tlp::QGlBufferManager::getFramebufferObject | ( | int | width,
|  | int | height
| ) |  |

Return a QGLFramebufferObject with given size

static QGlBufferManager& tlp::QGlBufferManager::getInst | ( |  | ) | `[inline, static]`

Return the QGlBuffer manager singleton, il singleton doesn't exist this function create it

QGLPixelBuffer* tlp::QGlBufferManager::getPixelBuffer | ( | int | width,
|  | int | height
| ) |  |

Return a QGlPixelBuffer with given size

Tulip Software by LaBRI Visualization Team 2001 - 2012